Subject: Offline Message from Buthaina: Hello, I received the remaining items of thi
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Tue, 23 Jun 2020 08:02:28 -0000

From: Buthaina <[email-masked]>
Phone: 
Location: Abu Dhabi, United Arab Emirates
URL: https://www.mumzworld.com/en/
Department: 

Hello, 

I received the remaining items of this order. However, I was surprised that one of the Downey bottles I received (I ordered a total of 4) was missing almost half of its content. This seems to be a common issue, as I’ve been seeing messages online that people have been receiving used or returned products from Mumzworld. This is not the standard I am used to from Mumzworld. Please escalate this to management, and either replace or refund the amount of the item

----
Zopim
https://www.zopim.com